<?
if ( $this -> params['label'] )
{
  $out .= '<div class="form-group row ';
      if ( $this -> params['inline'] )
        $out .= 'pl10 pr10';
    $out .= '">';
    $out .= '<label class="';
      if ( !$this -> params['inline'] )
        $out .= 'col-lg-4 ';
      if ( $this -> params['inline'] )
        $out .= 'col-12 mb5 ';
      $out .= 'control-label">' . $this -> params['label'] . ':</label>';
    $out .= '<div class="';
      if ( !$this -> params['inline'] )
        $out .= 'col-lg-8';
      if ( $this -> params['inline'] )
        $out .= 'col-12 ';
      $out .= '">';
}

      $out .= '<textarea ';
      
        if ( $this -> params['id'] )
          $out .= 'id="' . $this -> params['id'] . '" ';
        
        if ( $this -> params['class'] or $this -> params['label'] )
        {
          if ( $this -> params['label'] )
            $out .= 'class="' . $this -> params['class'] . ' form-control" ';
          else if ( $this -> params['class'] )
            $out .= 'class="' . $this -> params['class'] . '" ';
        }
        
        if ( $this -> params['js'] )
          $out .= 'onchange="' . htmlspecialchars( $this -> params['js'] ) . '" ';
        
        if ( $this -> params['js_key'] )
          $out .= 'onkeyup="' . htmlspecialchars( $this -> params['js_key'] ) . '" ';
        
        $out .= 'name="' . $this -> params['name'] . '" ';
        
        if ( $this -> params['style'] )
          $out .= 'style="' . $this -> params['style'] . '" ';
        
      $out .= ' rows="' . $this -> params['rows'] . '">' . $this -> secureHTML( $this -> params['value'] ) . '</textarea>';
      
if ( $this -> params['label'] )
{
    $out .= '</div>';
  $out .= '</div>';
}

echo $out;